List all entities with their states
curl --request GET \
--url http://0.0.0.0:3000/v1/entities/states \
--header 'Authorization: Bearer <token>'import requests
url = "http://0.0.0.0:3000/v1/entities/states"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://0.0.0.0:3000/v1/entities/states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"entity_id": "<string>",
"name": "<string>",
"domain": "<string>",
"platform": "<string>",
"state": "<string>",
"attributes": {}
}
]Entities & States
List all entities with their states
Returns all entities for the user with their current states. Entities without published states will have null state and default attributes based on entity_registry.
GET
/
v1
/
entities
/
states
List all entities with their states
⌘I